Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | List of all members
ItTokenizer< Iterator, value_type > Class Template Reference

Iterator tokenizer template class. More...

`#include <tokenizer.h>`

Inheritance diagram for ItTokenizer< Iterator, value_type >:

## Public Member Functions

| ItTokenizer (Iterator bit, Iterator eit)
void | setSource (Iterator bit, Iterator eit)
template<typename DelimCont>
void | setDelimList (const DelimCont &cont)
template<typename It>
void | setDelimList (It bit, It eit)
template<typename DestCont>
bool | next (DestCont &dst)
const value_type & | matched () const
void | addDelim (const value_type &value)
void | removeDelim (const value_type &value)

## Detailed Description

template<class Iterator, typename value_type>
class mimetic::ItTokenizer< Iterator, value_type >

Iterator tokenizer template class.

The documentation for this class was generated from the following file:

- tokenizer.h